=== modified file '.bzrignore'
--- .bzrignore	2009-07-22 13:41:01 +0000
+++ .bzrignore	2009-07-31 19:56:19 +0000
@@ -11,7 +11,8 @@
 ./tutorial.html
 BRANCH-INFO
 # setup.py working directory
-build
+./build
+./build-win32
 # Editor temporary/working/backup files
 *$
 .*.sw[nop]

=== modified file 'Makefile'
--- Makefile	2009-07-31 19:09:31 +0000
+++ Makefile	2009-07-31 19:56:19 +0000
@@ -229,11 +229,22 @@
 
 # make all the installers completely from scratch, using zc.buildout
 # to fetch the dependencies
+# These are files that need to be copied into the build location to boostrap
+# the build process.
+# Note that the path is relative to tools/win32
+BUILDOUT_FILES := buildout.cfg \
+	buildout-templates/bin/build-installer.bat.in
+
 installer-all:
 	@echo *** Make all the installers from scratch
-	cd tools/win32 && $(PYTHON) bootstrap.py
-	cd tools/win32 && bin/buildout
-	cd tools/win32 && bin/build-installer.bat $(BZR_TARGET) $(PLUGIN_TARGET)
+	# Build everything in a separate directory, which has an extra shared repo
+	# The repo is there to make sure none of the fetches 'leak' into the local
+	# shared repo
+	mkdir -p build-win32
+	cd tools/win32 && $(PYTHON) ostools.py copytree $(BUILDOUT_FILES) ../../build-win32
+	cd build-win32 && $(PYTHON) ../tools/win32/bootstrap.py
+	cd build-win32 && bin/buildout
+	cd build-win32 && bin/build-installer.bat $(BZR_TARGET) $(PLUGIN_TARGET)
 
 
 clean-installer-all:

